SETLOCAL

SET DURATION=300
SET OVERLAP=1
SET VIDEOBPS=180
SET FPS=14.985
SET AUDIOBPS=32
SET AUDIOCH=2

SET FILECOUNT=0
SET SS=0
SET TIMESTAMP=%4

:Loop
SET /A FILECOUNT=%FILECOUNT%+1
cores\ffmpeg -y -ss %SS% -t %DURATION% -i %1 -vstats -title %5 -timestamp %TIMESTAMP% -pass 1 -passlogfile %3 -bitexact -vcodec mpeg4 -s 240x176 -r %FPS% -g 150 -b %VIDEOBPS% -acodec aac -ac %AUDIOCH% -ar 32000 -ab %AUDIOBPS% -async 1 -f 3gp -muxvb 64 -muxab 32 "%~3.3gp"
cores\ffmpeg -y -ss %SS% -t %DURATION% -i %1 -vstats -title %5 -timestamp %TIMESTAMP% -pass 2 -passlogfile %3 -bitexact -vcodec mpeg4 -s 240x176 -r %FPS% -g 150 -b %VIDEOBPS% -acodec aac -ac %AUDIOCH% -ar 32000 -ab %AUDIOBPS% -async 1 -f 3gp -muxvb 64 -muxab 32 "%~3.3gp"
cores\QT3GPPFlatten "%~3.3gp" "%~2_%FILECOUNT%.3gp" -c QT_3GPP(MobileMP4)_240x176_AAC.ini
del "%~3.3gp"
IF NOT EXIST "%~2_%FILECOUNT%.3gp" GOTO Comp
find "time= %DURATION%" vstats_*.log
if ERRORLEVEL 1 GOTO Comp
del /Q vstats_*.log
SET /A SS=(%DURATION%-%OVERLAP%)*%FILECOUNT%
GOTO Loop

:Comp
del /Q vstats_*.log
IF %FILECOUNT%==1 REN "%~2_%FILECOUNT%.3gp" "%~n2.3gp"
ENDLOCAL
